Welcome to the CrackBerry Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 7 of 7
  1. promodblackberry's Avatar
    CrackBerry Newbie

    Posts
    4 Posts
    Thread AuthorThread Author   #1  

    Default What playbook is the Z10 compatible with?? Help Please...

    Im looking to buy a playbook, but no one seems to know what playbook the Z10 will be compatible with?? Is it only going to be compatible with the 4G LTE palybook or will it work with the older wifi playbooks?

    Help Please..
  2. slparry's Avatar
    CrackBerry Addict

    Posts
    703 Posts
    PIN
    24D72E0F
    #2  

    Default

    both I'd have thought the only real difference between the older PB and the newer is a faster CPU and a SIM card slot with a tweak on the OS to access that sim card
  3. tdaye's Avatar
    CrackBerry Master

    Posts
    1,178 Posts
    #3  

    Default

    Quote Originally Posted by promodblackberry View Post
    Im looking to buy a playbook, but no one seems to know what playbook the Z10 will be compatible with?? Is it only going to be compatible with the 4G LTE palybook or will it work with the older wifi playbooks?

    Help Please..
    Either one, but you don't need the LTE if you are going to bridge or use Z10 hotspot.
  4. promodblackberry's Avatar
    CrackBerry Newbie

    Posts
    4 Posts
    Thread AuthorThread Author   #4  

    Default

    I cannot seem to find any of the old playbooks available here in Canada anymore. Makes me wonder if the new phones will be compatible with the old PB?? Is this why there are no PB available???
  5. xamdam's Avatar
    CrackBerry Genius

    Posts
    3,049 Posts
    Global Posts
    3,056 Global Posts
    #5  

    Default

    Get the LTE version and setup a share data mobile plan trust me you will like it when your on the go and may as well have more options then not.
    New Phone: Iphone 4s, Old Phones: Blackberry Z10, Samsung Galaxy S3 (Sold), Iphone 4 (Used By Family)
    LTE Playbook 32gb (Dec 2012), OS version is 1753.
    On Rogers Service

    "When in doubt, buy a laptop"
  6. xamdam's Avatar
    CrackBerry Genius

    Posts
    3,049 Posts
    Global Posts
    3,056 Global Posts
    #6  

    Default

    Quote Originally Posted by promodblackberry View Post
    I cannot seem to find any of the old playbooks available here in Canada anymore. Makes me wonder if the new phones will be compatible with the old PB?? Is this why there are no PB available???
    There is futureshop and the source look online but get the LTE version why go older.
    New Phone: Iphone 4s, Old Phones: Blackberry Z10, Samsung Galaxy S3 (Sold), Iphone 4 (Used By Family)
    LTE Playbook 32gb (Dec 2012), OS version is 1753.
    On Rogers Service

    "When in doubt, buy a laptop"
  7. promodblackberry's Avatar
    CrackBerry Newbie

    Posts
    4 Posts
    Thread AuthorThread Author   #7  

    Default

    The only reason Im going older is beacuse I would never use the LTE.. I only would use wifi

Similar Threads

  1. Is the torch compatible with desktop 5.0.1?
    By orivera1 in forum BlackBerry Torch 9800
    Replies: 4
    Last Post: 06-22-2011, 04:59 PM
  2. What Symbol is the Yellow Phone with two <<?
    By SpazmaticRebel in forum BlackBerry Pearl 81xx
    Replies: 7
    Last Post: 08-21-2009, 11:00 PM
  3. Is the 8830 compatible with the TomTom GO 720?
    By bootz in forum BlackBerry 8830 WE
    Replies: 6
    Last Post: 03-29-2008, 04:14 AM
  4. Is the Pearl compatible with Windows Vista's Calendar program?
    By Megandy in forum BlackBerry Pearl 81xx
    Replies: 0
    Last Post: 11-30-2007, 09:19 AM
  5. Is the Jawbone compatible with the 8800?
    By c5plus in forum BBOS Phone Accessories
    Replies: 2
    Last Post: 08-18-2007, 12:13 PM

Posting Permissions